Subject: bug#12655: 24.2; Cannot discover automatic-all or other multi-buffer replacement commands

From: Juri Linkov <[email-masked]>
Date: Mon, 15 Oct 2012 18:14:44 +0300

> I was able to find a reference to it in the NEWS for Emacs 23.1, but
> that again was at the Lisp level; nowhere can I find user documentation
> for this handy feature. In particular, C-h m does not mention the extra
> multi-query-replace-map keystrokes when one is running, for example,
> tags-query-replace.

In http://debbugs.gnu.org/267#15   I proposed to document this feature
in the help message displayed by `C-h'.

But you mentioned `C-h m' (`describe-mode').
Do you mean to describe this feature in the docstrings of
`tags-query-replace', `dired-do-query-replace-regexp',
`vc-dir-query-replace-regexp' and `reftex-query-replace-document' ?

> I bet I'm not the only user who would love this feature but has never
> come across it; ideally it would also be documented in the manual, but
> making its documentation appear when describe-mode is run would at least
> make it discoverable.

`automatic-all' is already documented in (info "(elisp) Search and Replace")

Do you think it should be also documented in (info "(emacs) Tags Search") ?

Then (info "(emacs) VC Directory Commands") should link to the node
(info "(emacs) Tags Search") like (info "(emacs) Operating on Files") already does.
With these links, this feature could be documented just in one Info node.